/*JS*********************************************************************
*
*    Program : JSCPP
*    Language: ANSI-C
*    Author  : Joerg Schoen
*    Purpose : C preprocessor and ANSI-C parser.
*    Part    : Preprocessor command handling.
*
*              Copyright (C) 1994-2007 Joerg Schoen
*
*   Licensed under the Apache License, Version 2.0 (the "License");
*   you may not use this file except in compliance with the License.
*   You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
*   Unless required by applicable law or agreed to in writing, software
*   distributed under the License is distributed on an "AS IS" BASIS,
*   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*   See the License for the specific language governing permissions and
*   limitations under the License.
*
*************************************************************************/

/*********     INCLUDES 					*********/
#define JSCPP_INTERNAL
#include <jscpplib.h>

/*********     DEFINES						*********/
/*  The current version of the preprocessor  */
#define JSCPP_NVERSION    11418   /*  as a numeric value  */

#define Prototype extern
/*********     PROTOTYPES					*********/
Prototype const long     JSCPPNVersion;

/*********     GLOBAL DEFINITIONS            			*********/
const long JSCPPNVersion = JSCPP_NVERSION;
