#ifndef __CTYPE_H_
#define __CTYPE_H_

typedef int wint_t;

extern int isalnum(int c);
extern int isalpha(int c);
extern int iscntrl(int c);
extern int isdigit(int c);
extern int isgraph(int c);
extern int islower(int c);
extern int isprint(int c);
extern int ispunct(int c);
extern int isspace(int c);
extern int isupper(int c);
extern int isxdigit(int c);
extern int tolower(int c);
extern int toupper(int c);

#ifdef JSFTRACE_TRACE_STDLIB
#define isalnum _jswrap_isalnum
#define isalpha _jswrap_isalpha
#define iscntrl _jswrap_iscntrl
#define isdigit _jswrap_isdigit
#define isgraph _jswrap_isgraph
#define islower _jswrap_islower
#define isprint _jswrap_isprint
#define ispunct _jswrap_ispunct
#define isspace _jswrap_isspace
#define isupper _jswrap_isupper
#define isxdigit _jswrap_isxdigit
#define tolower _jswrap_tolower
#define toupper _jswrap_toupper

#pragma __JSCPP__ expandorig isalnum, isalpha, iscntrl, isdigit, \
	isgraph, islower, isprint, ispunct, isspace, isupper, isxdigit, \
	tolower, toupper
#endif
#endif
