#ifndef __NETINET_IN_H_
#define __NETINET_IN_H_

#include <sys/types.h>

struct in_addr {
  unsigned long s_addr;
};

struct sockaddr_in {
  sa_family_t    sin_family;
  unsigned short sin_port;
  struct in_addr sin_addr;
};

#define INADDR_ANY        (unsigned long)-1

unsigned long htonl(unsigned long hostlong);
unsigned short htons(unsigned short hostshort);
unsigned long ntohl(unsigned long netlong);
unsigned short ntohs(unsigned short netshort);

#endif
