#ifndef __SYS_SHM_H_
#define __SYS_SHM_H_

#include <sys/ipc.h>
#include <sys/time.h>

typedef unsigned long shmatt_t;

struct shmid_ds {
  struct ipc_perm shm_perm;
  size_t          shm_segsz;
  time_t          shm_atime;
  time_t          shm_dtime;
  time_t          shm_ctime;
  pid_t           shm_cpid;
  pid_t           shm_lpid;
  shmatt_t        shm_nattch;
};

extern int shmctl(int shmid, int cmd, struct shmid_ds *buf);

#endif
