#ifndef __SYS_TYPES_H_
#define __SYS_TYPES_H_

#include <stddef.h>

#ifndef _WIN32
typedef void fd_set;
typedef long mode_t;
typedef long uid_t;
typedef long key_t;
typedef long gid_t;
typedef long pid_t;
typedef long ssize_t;
typedef long off_t;
typedef long dev_t;
typedef long ino_t;
typedef long nlink_t;
typedef long blksize_t;
typedef long blkcnt_t;

typedef unsigned long fsblkcnt_t;
typedef unsigned long fsfilcnt_t;

/*  Avoid bogus "function calls"  */
#define FD_CLR(fd,set)      fd
#define FD_ISSET(fd,set)    fd
#define FD_SET(fd,set)      fd
#define FD_ZERO(set)        0
#endif

#ifdef _AIX
/*  Some people use these  */
typedef unsigned char  uchar, u_char;
typedef unsigned short ushort, u_short;
typedef unsigned int   uint, u_int;
typedef unsigned long  ulong, u_long;
#endif

typedef int sa_family_t;

#endif
