#ifndef __SYS_UIO_H_
#define __SYS_UIO_H_

#include <sys/types.h>

struct iovec {
  void *iov_base;
  size_t iov_len;
};

extern ssize_t readv(int fd, const struct iovec *vector, int count);
extern ssize_t writev(int fd, const struct iovec *vector, int count);

#endif
