#ifndef __WCTYPE_H_
#define __WCTYPE_H_

extern int iswalnum(int c);
extern int iswalpha(int c);
extern int iswcntrl(int c);
extern int iswdigit(int c);
extern int iswgraph(int c);
extern int iswlower(int c);
extern int iswprint(int c);
extern int iswpunct(int c);
extern int iswspace(int c);
extern int iswupper(int c);
extern int iswxdigit(int c);
extern int towlower(int c);
extern int towupper(int c);

#ifdef JSFTRACE_TRACE_STDLIB
#define iswalnum _jswrap_iswalnum
#define iswalpha _jswrap_iswalpha
#define iswcntrl _jswrap_iswcntrl
#define iswdigit _jswrap_iswdigit
#define iswgraph _jswrap_iswgraph
#define iswlower _jswrap_iswlower
#define iswprint _jswrap_iswprint
#define iswpunct _jswrap_iswpunct
#define iswspace _jswrap_iswspace
#define iswupper _jswrap_iswupper
#define iswxdigit _jswrap_iswxdigit
#define towlower _jswrap_towlower
#define towupper _jswrap_towupper

#pragma __JSCPP__ expandorig iswalnum, iswalpha, iswcntrl, iswdigit, \
	iswgraph, iswlower, iswprint, iswpunct, iswspace, iswupper, \
	iswxdigit, towlower, towupper
#endif
#endif
