#ifndef __WRAP_MATH_H_
#define __WRAP_MATH_H_

#ifndef __JSPARSE__
# error This doesn't work if not used with "jsparse" library!
#endif

#include_next <math.h>

#ifdef __GNUC__
/*  Defering this macro is necessary under GNU, since it is defined with
 *   GNU specific extensions. Mark it as a constant too to prevent
 *   parser action on it.
 */
# pragma __JSCPP__ defer HUGE_VAL
# pragma __JSCPP__ keyword HUGE_VAL __constant__
#endif

#endif
