/*JS*********************************************************************
*
*    Program : CSTRINGPRINT
*    Language: ANSI-C
*    Author  : Joerg Schoen
*    Purpose : Print a character array as a C-like string into a string.
*
*              Copyright (C) 1994-2002 Joerg Schoen
*
*   Licensed under the Apache License, Version 2.0 (the "License");
*   you may not use this file except in compliance with the License.
*   You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
*   Unless required by applicable law or agreed to in writing, software
*   distributed under the License is distributed on an "AS IS" BASIS,
*   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*   See the License for the specific language governing permissions and
*   limitations under the License.
*
*************************************************************************/

/*********     DEFINES                                          *********/
/*  START-DEFINITIONS */
#include <stdio.h>   /*	 For "FILE" definition    */
/*  END-DEFINITIONS */

#define Prototype extern
/*********     PROTOTYPES                                       *********/
Prototype int            cStrFPrint(FILE *fp, const char *src, long len);

#define CSTRPRINT        cStrFPrint
#define CSTRARGS         FILE *fp
#define PUTC(c)          putc(c, fp)
#define CHECKERROR

#include "cstrsprint.c"
