/*  Example 1:
 *   It will show how variable "i" is used and changed.
 *
 *   Compile this program with "jscc" and run it.
 */
#include <stdio.h>

#ifdef __JSFTRACE__
#pragma __JSFTRACE__ vartrace "*" read write
#endif

int main(void)
{
  int i;

#ifdef __JSFTRACE__
  /*  This is how one can control tracing without setting environment
   *   variable FUNCTIONTRACE. This is just for the purpose of this
   *   demonstration program where I want to remove the necessity of
   *   setting an environment variable.
   */
  _jstracecontrol("on");
#endif

  for(i = 0 ; i < 20 ; ++i)
    printf("%d %d\n", i, i * i);

  return 0;
}
