#ifndef __DIRENT_H_
#define __DIRENT_H_

typedef void DIR;

#define NAME_MAX     1024

struct dirent {
  char d_name[NAME_MAX + 1]; 
};

extern DIR *opendir(const char *);
extern void rewinddir(DIR *);
extern int closedir(DIR *);
extern struct dirent *readdir(DIR *);

#ifdef JSFTRACE_TRACE_STDLIB
#define opendir _jswrap_opendir
#define rewinddir _jswrap_rewinddir
#define closedir _jswrap_closedir
#define readdir _jswrap_readdir

#pragma __JSCPP__ expandorig opendir, rewinddir, closedir, readdir
#endif
#endif
