#ifndef __NETDB_H_
#define __NETDB_H_

struct hostent {
  char   *h_name;
  char  **h_aliases;
  int     h_addrtype;
  int     h_length;
  char  **h_addr_list;
};

#define h_addr  h_addr_list[0]

extern struct hostent *gethostbyname(const char *name);
extern struct hostent *gethostbyaddr(const void *addr, int len, int type);
extern void sethostent(int stayopen);
extern void endhostent(void);
extern void herror(const char *s);
extern const char *hstrerror(int err);
extern struct hostent *gethostent(void);

#endif
