#ifndef __SYS_STATVFS_H_
#define __SYS_STATVFS_H_

#include <sys/types.h>

struct statvfs {
  unsigned long  f_bsize;
  unsigned long  f_frsize;
  fsblkcnt_t     f_blocks;
  fsblkcnt_t     f_bfree;
  fsblkcnt_t     f_bavail;
  fsfilcnt_t     f_files;
  fsfilcnt_t     f_ffree;
  fsfilcnt_t     f_favail;
  unsigned long  f_fsid;
  unsigned long  f_flag;
  unsigned long  f_namemax;
};

extern int statvfs(const char *path, struct statvfs *buf);
extern int fstatvfs(int fd, struct statvfs *buf);

#endif
