#ifndef __WRAP_SIGNAL_H_
#define __WRAP_SIGNAL_H_

#ifndef __JSPARSE__
# error This doesn't work if not used with "jsparse" library!
#endif

#include_next <signal.h>

/*  These functions specified by POSIX.1 might be macros. To
 *   be on the safe side, I defer the expansion
 */
#pragma __JSCPP__ defer sigemptyset, sigfillset, sigaddset, sigdelset, \
        sigismember, sigprocmask, sigpending, sigaction, \
        sigsuspend
#endif
